Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2976843002: [tracing] Add heap profiler perftests. (Closed)

Created:
4 months, 1 week ago by DmitrySkiba
Modified:
4 months ago
CC:
chromium-reviews, tracing+reviews_chromium.org, wfh+watch_chromium.org, danakj+watch_chromium.org, vmpstr+watch_chromium.org, kraynov
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[tracing] Add heap profiler perftests. This CL creates a generic place for heap profiler perftests, and adds couple of stack frame deduplicator related perftests. BUG=739378 Review-Url: https://codereview.chromium.org/2976843002 Cr-Commit-Position: refs/heads/master@{#486544} Committed: https://chromium.googlesource.com/chromium/src/+/f43d398eac5c9d4c2bccda6d2630d108bbed1c99

Patch Set 1 #

Patch Set 2 : Fix typo #

Patch Set 3 : Move to components/tracing #

Total comments: 2

Messages

Total messages: 17 (6 generated)
DmitrySkiba
4 months, 1 week ago (2017-07-12 02:54:08 UTC) #2
Primiano Tucci (use gerrit)
wow this is very cool. Can you move this to tracing_perftests? So that they will ...
4 months, 1 week ago (2017-07-12 15:33:30 UTC) #3
DmitrySkiba
On 2017/07/12 15:33:30, Primiano Tucci wrote: > wow this is very cool. Can you move ...
4 months, 1 week ago (2017-07-12 23:51:57 UTC) #4
Primiano Tucci (use gerrit)
LGTM thanks https://codereview.chromium.org/2976843002/diff/40001/components/tracing/test/heap_profiler_perftest.cc File components/tracing/test/heap_profiler_perftest.cc (right): https://codereview.chromium.org/2976843002/diff/40001/components/tracing/test/heap_profiler_perftest.cc#newcode85 components/tracing/test/heap_profiler_perftest.cc:85: random_seed_ = random_seed_ * 1664525 + 1013904223; ...
4 months ago (2017-07-13 17:33:16 UTC) #5
DmitrySkiba
https://codereview.chromium.org/2976843002/diff/40001/components/tracing/test/heap_profiler_perftest.cc File components/tracing/test/heap_profiler_perftest.cc (right): https://codereview.chromium.org/2976843002/diff/40001/components/tracing/test/heap_profiler_perftest.cc#newcode85 components/tracing/test/heap_profiler_perftest.cc:85: random_seed_ = random_seed_ * 1664525 + 1013904223; On 2017/07/13 ...
4 months ago (2017-07-13 17:36:40 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2976843002/40001
4 months ago (2017-07-13 17:36:59 UTC) #8
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/337730)
4 months ago (2017-07-13 18:57:32 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2976843002/40001
4 months ago (2017-07-13 19:04:21 UTC) #12
commit-bot: I haz the power
Committed patchset #3 (id:40001) as https://chromium.googlesource.com/chromium/src/+/f43d398eac5c9d4c2bccda6d2630d108bbed1c99
4 months ago (2017-07-13 23:44:41 UTC) #15
mmenke
A revert of this CL (patchset #3 id:40001) has been created in https://codereview.chromium.org/2981833002/ by mmenke@chromium.org. ...
4 months ago (2017-07-14 00:11:36 UTC) #16
findit-for-me
4 months ago (2017-07-14 00:24:54 UTC) #17
Message was sent while issue was closed.
Findit (https://goo.gl/kROfz5) confirmed this CL at revision 486544 as the
culprit for
failures in the build cycles as shown on:
https://findit-for-me.appspot.com/waterfall/culprit?key=ag9zfmZpbmRpdC1mb3Itb...

Powered by Google App Engine
This is Rietveld efc10ee0f